package com.zksy.property.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.property.domain.AContractInfo;
import com.zksy.property.domain.dto.ContractFormDTO;
import com.zksy.property.domain.dto.ReceiptDto;
import com.zksy.property.domain.dto.ReturnReceiptDto;
import com.zksy.property.domain.vo.CanBeGetReceiptVo;
import com.zksy.property.domain.vo.CanBeGetReturnReceiptVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
* @author Administrator
* @description 针对表【a_contract_info(合同信息表)】的数据库操作Service
* @createDate 2025-07-14 11:59:44
*/
public interface AContractInfoService extends IService<AContractInfo> {
    Page<AContractInfo> findByPage(long pageNum, long pageSize, String contractNumber,String contractDate,String contractStatus);
    List<AContractInfo> getAContractInfoList(String contractNumber,String contractDate,String contractStatus);

    AContractInfo getBySimplifiedHouseId(String simplifiedHouseId);

    String signContract(ContractFormDTO dto);

    String returnRent(String houseId);

    String uploadSignContract(String contractId, MultipartFile file);

    String getReceipt(String contractId, ReceiptDto dto);

    CanBeGetReceiptVo canBeDetReceiptData(String contractId);

    CanBeGetReturnReceiptVo canBeDetReturnReceiptData(String contractId);

    String getReturnReceipt(String contractId, ReturnReceiptDto dto);
}
